ALTER TABLE S_RAZNI_DOK
ADD STATUS VARCHAR2(1 CHAR);

CREATE OR REPLACE VIEW V_S_RAZNI_DOK AS (
SELECT SRD.ID_RAZNI_DOK, SRD.TIP, SRD.DATUM, SRD.STEVILKA, SRD.PARTNER, SRD.ST_DOKUMENTA, SRD.OPOMBA, SRD.NOGA, SRD.PLOVILO, SRD.ID_DN, SRD.NGRUPA, SRD.STATUS,
NG.OPIS AS NNGRUSTO_OPIS, MD.STEVILKA AS M_DE_NA_STEVILKA, KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, PL.IME AS PLOVILA_IME
FROM S_RAZNI_DOK SRD
LEFT OUTER JOIN NNGRUSTO NG ON NG.NGRUPA = SRD.NGRUPA
LEFT OUTER JOIN M_DE_NA MD ON MD.ID_DN = SRD.ID_DN
LEFT OUTER JOIN KUPCI KU ON KU.ID = SRD.PARTNER
LEFT OUTER JOIN PLOVILA PL ON PL.ID = SRD.PLOVILO
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1189, SYSDATE, '5.5', 1109, 'SRazniDok status')
;