ALTER TABLE FORM_FIELD_PROPERTY
ADD DEFAULT_VALUE VARCHAR2(50 CHAR);

CREATE OR REPLACE VIEW V_FORM_FIELD_PROPERTY AS (
  SELECT F.ID_FORM_FIELD_PROPERTY, F.APPLICATION_ID, F.VIEW_ID, F.TYPE, F.TABLE_NAME, F.COLUMN_NAME, F.CAPTION_KEY, F.POSITION, F.DEFAULT_VALUE, F.WIDTH, F.HEIGHT, 
  F.VISIBLE, F.ENABLED, F.REQUIRED, F.ACT, F.COLUMN_1, F.COLUMN_2, F.ROW_1, F.ROW_2,
  NA.OPIS AS APLICATION_OPIS, NA.INTERNI_OPIS AS APLICATION_INTERNI_OPIS, FT.DESCRIPTION AS TYPE_DESCRIPTION, FT.INTERNAL_DESCRIPTION AS TYPE_INTERNAL_DESCRIPTION
	FROM FORM_FIELD_PROPERTY F
  LEFT OUTER JOIN NNAPLICATION NA ON F.APPLICATION_ID = NA.SIFRA
  LEFT OUTER JOIN FORM_FIELD_PROPERTY_TYPE FT ON FT.ID_FORM_FIELD_PROPERTY_TYPE = F.TYPE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1200, SYSDATE, '5.5', 1120, 'Form default value')
;