ALTER TABLE YACHT_CLUB
ADD PLOVILA_VRSTA VARCHAR2(3 CHAR);

ALTER TABLE YACHT_CLUB
ADD DISCOUNT_PURPOSE NUMBER;

CREATE OR REPLACE VIEW V_YACHT_CLUB AS (
  SELECT YC.ID_YACHT_CLUB, YC.STORITEV, YC.POPUST, YC.DISCOUNT_PURPOSE, YC.USER_KREIRANJA, YC.DATUM_KREIRANJA, YC.ACT, YC.VRSTA, YC.PLOVILA_VRSTA, YC.ID_PLOVILA, YC.ID_ARTIKEL, YC.AMOUNT, YC.ID_GRUPA,
  NMP.OPIS AS NAMEN_POPUST_OPIS, PL.IME AS PLOVILA_IME, MN.OPIS AS NNSTOMAR_OPIS, NK.OPIS AS NNVRSKUP_OPIS, NP.OPIS AS PLOVILA_NNVRSKUP_OPIS,SA.NAZIV AS ARTIKEL_NAZIV, SA.NAZIV1 AS ARTIKEL_NAZIV1, SG.NAZIV AS GRUPA_NAZIV
  FROM YACHT_CLUB YC
  LEFT OUTER JOIN NNAMENPOPUST NMP ON NMP.SIFRA = YC.DISCOUNT_PURPOSE
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = YC.ID_PLOVILA
  LEFT OUTER JOIN M_NNSTOMAR MN ON MN.SIFRA = YC.STORITEV
  LEFT OUTER JOIN NNVRSKUP NK ON NK.SIFRA = YC.VRSTA
  LEFT OUTER JOIN NNVRSKUP NP ON NP.SIFRA = YC.PLOVILA_VRSTA
  LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = YC.ID_ARTIKEL
  LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = YC.ID_GRUPA
);

ALTER TABLE M_NNSTOMAR
ADD MAX_DISCOUNT NUMBER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1395, SYSDATE, '5.5', 1315, 'Yacht club popusti')
;